PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_cursor_move

## Name

SPI_cursor_move -- Moves a cursor

## Synopsis

    SPI_cursor_move(portal,
    forward,
    count)

### Inputs

Portal `portal`

  Portal containing cursor

bool `forward`

  True for move forward, false for move backward

int `count`

  Maximum number of rows to move

### Outputs

None

## Description

`SPI_cursor_move` skips over some number of rows in a cursor. This is equivalent to the SQL command MOVE.

Prev | Home | Next
SPI_cursor_fetch | Up | SPI_cursor_close